﻿using System;
using System.Collections.Generic;
using System.Text;
using FreeImageAPI;

namespace Imagenator
{
	[ArgusLib.LocalizableEnum("EnumJpegQuality_", "Imagenator", "Imagenator.Localization.Text", null)]
	enum JpegQuality
	{
		Default = FREE_IMAGE_SAVE_FLAGS.DEFAULT,
		Superb = FREE_IMAGE_SAVE_FLAGS.JPEG_QUALITYSUPERB,
		Good = FREE_IMAGE_SAVE_FLAGS.JPEG_QUALITYGOOD,
		Normal = FREE_IMAGE_SAVE_FLAGS.JPEG_QUALITYNORMAL,
		Average = FREE_IMAGE_SAVE_FLAGS.JPEG_QUALITYAVERAGE,
		Bad = FREE_IMAGE_SAVE_FLAGS.JPEG_QUALITYBAD
	}

	[ArgusLib.LocalizableEnum("EnumJpegSubsampling_", "Imagenator", "Imagenator.Localization.Text", null)]
	enum JpegSubsampling
	{
		Default = FREE_IMAGE_SAVE_FLAGS.DEFAULT,
		_411 = FREE_IMAGE_SAVE_FLAGS.JPEG_SUBSAMPLING_411,
		_420 = FREE_IMAGE_SAVE_FLAGS.JPEG_SUBSAMPLING_420,
		_422 = FREE_IMAGE_SAVE_FLAGS.JPEG_SUBSAMPLING_422,
		_444 = FREE_IMAGE_SAVE_FLAGS.JPEG_SUBSAMPLING_444
	}
}
